Summary:	X.org video driver for Silicon Motion video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych Silicon Motion
Name:		xorg-driver-video-siliconmotion
Version:	1.7.9
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-siliconmotion-%{version}.tar.bz2
# Source0-md5:	68b9ebf1bda752ac21606857d236f0f5
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.8.0
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-siliconmotion < 1:7.0.0
Obsoletes:	XFree86-driver-siliconmotion < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Silicon Motion video chips. It supports PCI and
AGP video cards based on the following chips:
- Lynx (SM910),
- LynxE (SM810),
- Lynx3D (SM820),
- LynxEM (SM710),
- LynxEM+ (SM712),
- Lynx3DM (SM720),
- Cougar3DR (SM730),
- MSOC (SM501, SM502).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych Silicon Motion.
Obsługuje karty PCI i AGP oparte na następujących układach:
- Lynx (SM910),
- LynxE (SM810),
- Lynx3D (SM820),
- LynxEM (SM710),
- LynxEM+ (SM712),
- Lynx3DM (SM720),
- Cougar3DR (SM730),
- MSOC (SM501, SM502).

%prep
%setup -q -n xf86-video-siliconmotion-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README Release.txt
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/siliconmotion_drv.so
%{_mandir}/man4/siliconmotion.4*
%changelog
* Mon May 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-siliconmotion.git;a=log;h=master

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 5795f63
- release 2 (by relup.sh)

* Fri Jan 20 2017 Jakub Bogusz <qboosh@pld-linux.org> c364d17
- updated to 1.7.9
- removed obsolete xserver-1.19 patch

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 0e0634a
- fix building with xserver 1.19
- rel 4

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> ae9bfe4
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1f7709d
- release 2 (by relup.sh)

* Mon May 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 230f3f6
- updated to 1.7.8
- removed obsolete mibstore patch

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> caf37b0
- due to xserver 1.17
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fe49100
- xserver rebuild
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> af9b288
- xserver rebuild
- release 5 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> dc7f2b7
- release 4 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 12251ac
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c3de8df
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 43a491b
- updated to 1.7.7

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> db4534c
- updated to 1.7.6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d68fef
- release 3

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 411e5e2
- xorg-driver-video virtual for video drivers
- release 2

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> ce68062
- updated util-macros BR

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d44695
- up to 1.7.5

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8725a50
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 4e27b0b
- rel up

